# Interface KeySet<T>

All Known Implementing Classes:
  `CaptionerKeySet, RampKeySet`

public interface KeySet<T>
Aggregates a set of config keys which are used together to specify an object.

Since:
  6 Mar 2014
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`T`
`createValue(ConfigMap map)`
Creates a typed value based on the values in a map corresponding to this object's keys.
`ConfigKey<?>[]`
`getKeys()`
The config keys used to specify an object.

## Method Details

### getKeys

ConfigKey<?>[] getKeys()
The config keys used to specify an object.

Returns:
  fixed list of config keys

### createValue

T createValue(ConfigMap map)
Creates a typed value based on the values in a map corresponding to this object's keys.

Parameters:
  `map` - map for which the values corresponding to `getKeys` will be examined
Returns:
  specified typed value